Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.io
Interface ByteCodeInput

All Superinterfaces:
  DataInput

All Known Implementing Classes:
  ByteCodeInputStream

public interface ByteCodeInput
extends DataInput

Extends `DataInput` to accomodate for a method to retrieve the number of bytes read.

Version:
  $Revision: 1.3 $ $Date: 2003/07/08 14:04:28 $
Author:
  Ingo Kegel

Method Summary
`int` | `getBytesRead()` Get the number of bytes read.

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Method Detail

### getBytesRead

    public int getBytesRead()

  Get the number of bytes read.

  Returns:
    the number of bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD